![open](https://i.imgur.com/RxHYEPA.png)
# Kang-Tao - G-58 Smart SMG

Two variants of Kang-Tao G-58 Dian Smart SMG, chambered in a custom Kang-Tao 10x50mm Smart cartridge.

![open](https://i.imgur.com/7zkHoht.gif)

Whether you're protecting your home from invaders or extracting a wounded client out of the Combat Zone, every millisec counts. Even though there's not always time to line up a perfect shot, you always need your lead to hit home. Enter the G-58 Dian SMG - Featuring state of the art onboard IFF radar systems and automated reloading and handling assist systems, you can be sure that even a quick, distracted shot will land where it needs to. Though most commonly seen in use by Trauma Team's pointmen, the Dian is also a favorite amongst elite private security teams, as well as particularly well-off gangoons and mercs.

Textures are done from scratch by me!

#### Features:
- Bespoke animation system, with fully functional and animated reload assist and safety system. (Thanks to Cityrobo!)
- Two variants for you to choose from, one for your daily usage and one for official Trauma Team work.
- Animated and functional radar/sensor system with sound effects! The sensor will spool up when the gun is chambered/readied and will not acquire targets until it is fully spooled up. (Thanks again to Cityrobo!)

#### Huge thanks to:
- CD Projekt Red for the awesome models and sounds from Cyberpunk 2077, used with their kind permission.
- Cityrobo for the bespoke scripts and systems, without which none of this would be possible!
- Meat Banana for help with the fantastic meaty sounds!
- The modding collective for all of their support.

**Note: This project has NOT been in any way sponsored, supported or endorsed by CD PROJEKT S.A. or any of its subsidiaries.**

## Like my mods? Please consider donating! :)
[![Exampled Video](https://cdn.ko-fi.com/cdn/kofi1.png)](https://ko-fi.com/nikpo)

I'm also sometimes available for commission work if you'd like! Feel free to reach out to me on Discord (Nikpo#9948).

## Don't like my mods? Have some issues? :(
I'm available on Discord (Nikpo#9948) for feedback, reach out to me on any of the H3VR discords.

# Images

![open](https://i.imgur.com/IdI0bUl.png)
![open](https://i.imgur.com/7bFkSEP.png)
![open](https://i.imgur.com/Cn3Vmbh.png)

## Changelog
1.0.0
- Initial release.